# Uses of Class
java.util.prefs.AbstractPreferences

Packages that use AbstractPreferences
Package
Description
java.util.prefs
This package allows applications to store and retrieve user and system preference and configuration data.

## Uses of AbstractPreferences in java.util.prefs

Methods in java.util.prefs that return AbstractPreferences
Modifier and Type
Method
Description
`protected final AbstractPreferences[]`
AbstractPreferences.`cachedChildren()`
Returns all known unremoved children of this node.
`protected abstract AbstractPreferences`
AbstractPreferences.`childSpi(String name)`
Returns the named child of this preference node, creating it if it does not already exist.
`protected AbstractPreferences`
AbstractPreferences.`getChild(String nodeName)`
Returns the named child if it exists, or `null` if it does not.
Constructors in java.util.prefs with parameters of type AbstractPreferences
Modifier
Constructor
Description
`protected`
`AbstractPreferences(AbstractPreferences parent, String name)`
Creates a preference node with the specified parent and the specified name relative to its parent.